summaryrefslogtreecommitdiffstats
path: root/test/dm/test-dm.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/dm/test-dm.sh')
-rwxr-xr-xtest/dm/test-dm.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/test/dm/test-dm.sh b/test/dm/test-dm.sh
index bb99677ece..8ebc39297c 100755
--- a/test/dm/test-dm.sh
+++ b/test/dm/test-dm.sh
@@ -1,9 +1,14 @@
#!/bin/sh
+die() {
+ echo $1
+ exit 1
+}
+
NUM_CPUS=$(cat /proc/cpuinfo |grep -c processor)
dtc -I dts -O dtb test/dm/test.dts -o test/dm/test.dtb
-make O=sandbox sandbox_config
-make O=sandbox -s -j${NUM_CPUS}
+make O=sandbox sandbox_config || die "Cannot configure U-Boot"
+make O=sandbox -s -j${NUM_CPUS} || die "Cannot build U-Boot"
dd if=/dev/zero of=spi.bin bs=1M count=2
./sandbox/u-boot -d test/dm/test.dtb -c "dm test"
rm spi.bin
OpenPOWER on IntegriCloud